{
  "schema_version": "1.4.0",
  "id": "GHSA-j846-qfh4-5c92",
  "modified": "2025-04-11T04:03:02Z",
  "published": "2022-05-17T05:20:54Z",
  "aliases": [
    "CVE-2011-4623"
  ],
  "details": "Integer overflow in the rsCStrExtendBuf function in runtime/stringbuf.c in the imfile module in rsyslog 4.x before 4.6.6, 5.x before 5.7.4, and 6.x before 6.1.4 allows local users to cause a denial of service (daemon hang) via a large file, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2011-4623"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=769822"
    },
    {
      "type": "WEB",
      "url": "http://bugzilla.adiscon.com/show_bug.cgi?id=221"
    },
    {
      "type": "WEB",
      "url": "http://git.adiscon.com/?p=rsyslog.git%3Ba=commit%3Bh=6bad782f154b7f838c7371bf99c13f6dc4ec4101"
    },
    {
      "type": "WEB",
      "url": "http://git.adiscon.com/?p=rsyslog.git;a=commit;h=6bad782f154b7f838c7371bf99c13f6dc4ec4101"
    },
    {
      "type": "WEB",
      "url": "http://rsyslog.com/changelog-for-4-6-6-v4-stable"
    },
    {
      "type": "WEB",
      "url": "http://rsyslog.com/changelog-for-5-7-4-v5-beta"
    },
    {
      "type": "WEB",
      "url": "http://rsyslog.com/changelog-for-6-1-4-devel"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/45848"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/47698"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2011/12/22/2"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/51171"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1026556"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-1338-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "LOW",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-09-25T23:55:00Z"
  }
}